> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify SIWE signature



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json post /api/v1/auth/challenge
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/auth/challenge:
    post:
      tags:
        - Authentication
      summary: Verify SIWE signature
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - message
                - signature
              properties:
                message:
                  type: string
                  description: SIWE message containing the nonce
                signature:
                  type: string
                  description: EOA signature or EIP-1271 contract signature
                ttlInSeconds:
                  type: number
                  description: >-
                    Represents the duration of the token in seconds. If not
                    provided, defaults to 1 hour. Maximum 24 hours.
                  default: 3600
                  maximum: 86400
                  minimum: 60
      responses:
        '200':
          description: Signature verified successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: JWT token for API authentication
        '401':
          description: Invalid signature
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error

````